Main Page Modules Data Structures File List Data Fields Globals Related Pages

# dhaes_pParameters Struct Reference

`#include <dhaes.h>`

## Data Fields
const dldp_p * | param
const hashFunction * | hash
const blockCipher * | cipher
const keyedHashFunction * | mac
int | cipherkeybits
int | mackeybits

## Field Documentation

const blockCipher* dhaes_pParameters::cipher

| Definition at line 40 of file dhaes.h. Referenced by dhaes_pContextInit, and dhaes_pUsable.

int dhaes_pParameters::cipherkeybits

| Definition at line 42 of file dhaes.h. Referenced by dhaes_pContextInit, and dhaes_pUsable.

const hashFunction* dhaes_pParameters::hash

| Definition at line 39 of file dhaes.h. Referenced by dhaes_pContextInit, and dhaes_pUsable.

const keyedHashFunction* dhaes_pParameters::mac

| Definition at line 41 of file dhaes.h. Referenced by dhaes_pContextInit, and dhaes_pUsable.

int dhaes_pParameters::mackeybits

| Definition at line 43 of file dhaes.h. Referenced by dhaes_pContextInit, and dhaes_pUsable.

const dldp_p* dhaes_pParameters::param

| Definition at line 38 of file dhaes.h. Referenced by dhaes_pContextInit.

The documentation for this struct was generated from the following file:

- beecrypt/dhaes.h